ActiveMQQueueReceiver (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.ActiveMQQueueReceiver class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq
Class ActiveMQQueueReceiver

    java.lang.Object
      org.codehaus.activemq.ActiveMQMessageConsumer
          org.codehaus.activemq.ActiveMQQueueReceiver

All Implemented Interfaces:
  MessageConsumer, QueueReceiver, StatsCapable

public class ActiveMQQueueReceiver
extends ActiveMQMessageConsumer
implements QueueReceiver

A client uses a `QueueReceiver` object to receive messages that have been delivered to a queue.

Although it is possible to have multiple `QueueReceiver` s for the same queue, the JMS API does not define how messages are distributed between the `QueueReceiver`s.

If a `QueueReceiver` specifies a message selector, the messages that are not selected remain on the queue. By definition, a message selector allows a `QueueReceiver` to skip messages. This means that when the skipped messages are eventually read, the total ordering of the reads does not retain the partial order defined by each message producer. Only `QueueReceiver` s without a message selector will read messages in message producer order.

Creating a `MessageConsumer` provides the same features as creating a `QueueReceiver`. A `MessageConsumer` object is recommended for creating new code. The `QueueReceiver` is provided to support existing code.

See Also:
  `Session.createConsumer(javax.jms.Destination, String)`, `Session.createConsumer(javax.jms.Destination)`, `QueueSession.createReceiver(Queue, String)`, `QueueSession.createReceiver(Queue)`, `MessageConsumer`

Field Summary

Fields inherited from class org.codehaus.activemq.ActiveMQMessageConsumer
`browser, consumerId, consumerName, consumerNumber, destination, messageQueue, messageSelector, noLocal, prefetchNumber, session, startTime`

Constructor Summary
`protected` | `ActiveMQQueueReceiver(ActiveMQSession theSession, ActiveMQDestination dest, String selector, int cnum, int prefetch)`

Method Summary
`Queue` | `getQueue()` Gets the `Queue` associated with this queue receiver.

Methods inherited from class org.codehaus.activemq.ActiveMQMessageConsumer
`checkClosed, clearMessagesInProgress, close, getConsumerId, getConsumerName, getConsumerNumber, getConsumerStats, getDestination, getMessageListener, getMessageSelector, getPrefetchNumber, getStartTime, getStats, isBrowser, isDurableSubscriber, isNoLocal, processMessage, receive, receive, receiveNoWait, setBrowser, setConsumerId, setConsumerName, setConsumerNumber, setMessageListener, setPrefetchNumber, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.MessageConsumer
`close, getMessageListener, getMessageSelector, receive, receive, receiveNoWait, setMessageListener`

Constructor Detail

### ActiveMQQueueReceiver

    protected ActiveMQQueueReceiver(ActiveMQSession theSession,
                                    ActiveMQDestination dest,
                                    String selector,
                                    int cnum,
                                    int prefetch)
                             throws JMSException

Parameters:
  `theSession` -
  `dest` -
  `selector` -
  `cnum` -
  `prefetch` -
Throws:
  `JMSException`

Method Detail

### getQueue

    public Queue getQueue()
                   throws JMSException

  Gets the `Queue` associated with this queue receiver.

  Specified by:
    `getQueue` in interface `QueueReceiver`
  Returns:
    this receiver's `Queue`
  Throws:
    `JMSException` - if the JMS provider fails to get the queue for this queue receiver due to some internal error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.